> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an area by id (includes resources)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi get /v1/organizations/{orgId}/areas/{id}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{orgId}/areas/{id}:
    get:
      tags:
        - Areas
      summary: Get an area by id (includes resources)
      operationId: getV1OrganizationsByOrgIdAreasById
      parameters:
        - in: path
          name: orgId
          required: true
          schema:
            type: string
          description: ID da organização
        - in: path
          name: id
          required: true
          schema:
            type: integer
          description: ID da área
      responses:
        '200':
          description: Area detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  area:
                    type: object
                    properties:
                      id:
                        type: integer
                      org_id:
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                        nullable: true
                      icon:
                        type: string
                        nullable: true
                      color:
                        type: string
                        nullable: true
                      created_by:
                        type: string
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                  resources:
                    type: array
                    items:
                      type: object
                      properties:
                        area_id:
                          type: integer
                        resource_type:
                          type: string
                        resource_id:
                          type: string
                        created_at:
                          type: string
                          format: date-time
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '404':
          description: Recurso não encontrado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: not found
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.